//+------------------------------------------------------------------+
//|                                        RenkoColorChangeAlarm.mq4 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, Karakurt"
#property link      ""

#property indicator_chart_window

datetime LastAlertTime;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
  LastAlertTime = TimeCurrent();
  
  return ( 0 );
}

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
  if ( Time[0] > LastAlertTime ) { // 
    
    if ( Close[1] > Open[1] ) { // 1- 
      if ( Close[2] < Open[2] ) { // 2- 
        Alert( "New candle forming on ", Symbol(), "; TimeFrame: ", Period(), "; color changed" );
      } // 2- 
    } // 1- 
    
    if ( Close[1] < Open[1] ) { // 1- 
      if ( Close[2] > Open[2] ) { // 2- 
        Alert( "New candle forming on ", Symbol(), "; TimeFrame: ", Period(), "; color changed" );
      } // 2- 
    } // 1- 
    
    LastAlertTime = Time[0];
  } // 
  
  return(0);
}

